package cn.superdesk.uniorder.dao.entity.operationCenter.accounting;

import java.math.BigDecimal;
import java.util.Date;

public class UnifiedAccountingOrderGoods {
    private Long id;

    private Integer bizTypeId;

    private String orderGoodsId;

    private String orderSn;

    private String orderId;

    private String bizPlatformCode;

    private String bizPlatformName;

    private String orderTypeCode;

    private String orderTypeName;

    private Date orderCreateTime;

    private Date finishTime;

    private Integer isPackage;

    private String packageId;

    private String packageName;

    private Integer goodsTypeId;

    private String goodsId;

    private String goodsSku;

    private String goodsSpecification;

    private String goodsName;

    private String unit;

    private Integer quantity;

    private BigDecimal originalUnitPrice;

    private BigDecimal originalTotalPrice;

    private BigDecimal sellingUnitPrice;

    private BigDecimal sellingTotalPrice;

    private BigDecimal negotiatedUnitPrice;

    private BigDecimal negotiatedTotalPrice;

    private BigDecimal settlementAmount;

    private BigDecimal costUnitPrice;

    private BigDecimal costTotalPrice;

    private BigDecimal discountAmount;

    private BigDecimal goodsOrderAmount;

    private String platformTaxCode;

    private BigDecimal platformTaxRate;

    private String merchantTaxCode;

    private BigDecimal merchantTaxRate;

    private Integer isDutyFree;

    private String brandId;

    private String brandName;

    private String refundOriginOrderSn;

    private String operatorId;

    private String operatorName;

    private String supplierId;

    private String supplierName;

    private String accountingOrderSnOperator;

    private String cateLevel1Id;

    private String cateLevel1Name;

    private String cateLevel2Id;

    private String cateLevel2Name;

    private String cateLevel3Id;

    private String cateLevel3Name;

    private Integer accountingStatus;

    private Date createTime;

    private String createUserId;

    private String updateUserId;

    private Date updateTime;

    private String otherAttribute;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getBizTypeId() {
        return bizTypeId;
    }

    public void setBizTypeId(Integer bizTypeId) {
        this.bizTypeId = bizTypeId;
    }

    public String getOrderGoodsId() {
        return orderGoodsId;
    }

    public void setOrderGoodsId(String orderGoodsId) {
        this.orderGoodsId = orderGoodsId;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getBizPlatformCode() {
        return bizPlatformCode;
    }

    public void setBizPlatformCode(String bizPlatformCode) {
        this.bizPlatformCode = bizPlatformCode;
    }

    public String getBizPlatformName() {
        return bizPlatformName;
    }

    public void setBizPlatformName(String bizPlatformName) {
        this.bizPlatformName = bizPlatformName;
    }

    public String getOrderTypeCode() {
        return orderTypeCode;
    }

    public void setOrderTypeCode(String orderTypeCode) {
        this.orderTypeCode = orderTypeCode;
    }

    public String getOrderTypeName() {
        return orderTypeName;
    }

    public void setOrderTypeName(String orderTypeName) {
        this.orderTypeName = orderTypeName;
    }

    public Date getOrderCreateTime() {
        return orderCreateTime;
    }

    public void setOrderCreateTime(Date orderCreateTime) {
        this.orderCreateTime = orderCreateTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Integer getIsPackage() {
        return isPackage;
    }

    public void setIsPackage(Integer isPackage) {
        this.isPackage = isPackage;
    }

    public String getPackageId() {
        return packageId;
    }

    public void setPackageId(String packageId) {
        this.packageId = packageId;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public Integer getGoodsTypeId() {
        return goodsTypeId;
    }

    public void setGoodsTypeId(Integer goodsTypeId) {
        this.goodsTypeId = goodsTypeId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsSku() {
        return goodsSku;
    }

    public void setGoodsSku(String goodsSku) {
        this.goodsSku = goodsSku;
    }

    public String getGoodsSpecification() {
        return goodsSpecification;
    }

    public void setGoodsSpecification(String goodsSpecification) {
        this.goodsSpecification = goodsSpecification;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public BigDecimal getOriginalUnitPrice() {
        return originalUnitPrice;
    }

    public void setOriginalUnitPrice(BigDecimal originalUnitPrice) {
        this.originalUnitPrice = originalUnitPrice;
    }

    public BigDecimal getOriginalTotalPrice() {
        return originalTotalPrice;
    }

    public void setOriginalTotalPrice(BigDecimal originalTotalPrice) {
        this.originalTotalPrice = originalTotalPrice;
    }

    public BigDecimal getSellingUnitPrice() {
        return sellingUnitPrice;
    }

    public void setSellingUnitPrice(BigDecimal sellingUnitPrice) {
        this.sellingUnitPrice = sellingUnitPrice;
    }

    public BigDecimal getSellingTotalPrice() {
        return sellingTotalPrice;
    }

    public void setSellingTotalPrice(BigDecimal sellingTotalPrice) {
        this.sellingTotalPrice = sellingTotalPrice;
    }

    public BigDecimal getNegotiatedUnitPrice() {
        return negotiatedUnitPrice;
    }

    public void setNegotiatedUnitPrice(BigDecimal negotiatedUnitPrice) {
        this.negotiatedUnitPrice = negotiatedUnitPrice;
    }

    public BigDecimal getNegotiatedTotalPrice() {
        return negotiatedTotalPrice;
    }

    public void setNegotiatedTotalPrice(BigDecimal negotiatedTotalPrice) {
        this.negotiatedTotalPrice = negotiatedTotalPrice;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public BigDecimal getCostUnitPrice() {
        return costUnitPrice;
    }

    public void setCostUnitPrice(BigDecimal costUnitPrice) {
        this.costUnitPrice = costUnitPrice;
    }

    public BigDecimal getCostTotalPrice() {
        return costTotalPrice;
    }

    public void setCostTotalPrice(BigDecimal costTotalPrice) {
        this.costTotalPrice = costTotalPrice;
    }

    public BigDecimal getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(BigDecimal discountAmount) {
        this.discountAmount = discountAmount;
    }

    public BigDecimal getGoodsOrderAmount() {
        return goodsOrderAmount;
    }

    public void setGoodsOrderAmount(BigDecimal goodsOrderAmount) {
        this.goodsOrderAmount = goodsOrderAmount;
    }

    public String getPlatformTaxCode() {
        return platformTaxCode;
    }

    public void setPlatformTaxCode(String platformTaxCode) {
        this.platformTaxCode = platformTaxCode;
    }

    public BigDecimal getPlatformTaxRate() {
        return platformTaxRate;
    }

    public void setPlatformTaxRate(BigDecimal platformTaxRate) {
        this.platformTaxRate = platformTaxRate;
    }

    public String getMerchantTaxCode() {
        return merchantTaxCode;
    }

    public void setMerchantTaxCode(String merchantTaxCode) {
        this.merchantTaxCode = merchantTaxCode;
    }

    public BigDecimal getMerchantTaxRate() {
        return merchantTaxRate;
    }

    public void setMerchantTaxRate(BigDecimal merchantTaxRate) {
        this.merchantTaxRate = merchantTaxRate;
    }

    public Integer getIsDutyFree() {
        return isDutyFree;
    }

    public void setIsDutyFree(Integer isDutyFree) {
        this.isDutyFree = isDutyFree;
    }

    public String getBrandId() {
        return brandId;
    }

    public void setBrandId(String brandId) {
        this.brandId = brandId;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public String getRefundOriginOrderSn() {
        return refundOriginOrderSn;
    }

    public void setRefundOriginOrderSn(String refundOriginOrderSn) {
        this.refundOriginOrderSn = refundOriginOrderSn;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getAccountingOrderSnOperator() {
        return accountingOrderSnOperator;
    }

    public void setAccountingOrderSnOperator(String accountingOrderSnOperator) {
        this.accountingOrderSnOperator = accountingOrderSnOperator;
    }

    public String getCateLevel1Id() {
        return cateLevel1Id;
    }

    public void setCateLevel1Id(String cateLevel1Id) {
        this.cateLevel1Id = cateLevel1Id;
    }

    public String getCateLevel1Name() {
        return cateLevel1Name;
    }

    public void setCateLevel1Name(String cateLevel1Name) {
        this.cateLevel1Name = cateLevel1Name;
    }

    public String getCateLevel2Id() {
        return cateLevel2Id;
    }

    public void setCateLevel2Id(String cateLevel2Id) {
        this.cateLevel2Id = cateLevel2Id;
    }

    public String getCateLevel2Name() {
        return cateLevel2Name;
    }

    public void setCateLevel2Name(String cateLevel2Name) {
        this.cateLevel2Name = cateLevel2Name;
    }

    public String getCateLevel3Id() {
        return cateLevel3Id;
    }

    public void setCateLevel3Id(String cateLevel3Id) {
        this.cateLevel3Id = cateLevel3Id;
    }

    public String getCateLevel3Name() {
        return cateLevel3Name;
    }

    public void setCateLevel3Name(String cateLevel3Name) {
        this.cateLevel3Name = cateLevel3Name;
    }

    public Integer getAccountingStatus() {
        return accountingStatus;
    }

    public void setAccountingStatus(Integer accountingStatus) {
        this.accountingStatus = accountingStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getOtherAttribute() {
        return otherAttribute;
    }

    public void setOtherAttribute(String otherAttribute) {
        this.otherAttribute = otherAttribute;
    }
}